-- QuickCheck code for Parse and Document
--
-- ICFP 2001 programming contest
-- Tom Moertel <tom-icfp2001@moertel.com>

module ParseDocument_qc where

import QuickCheck

import Document
import Document_qc
import Parse

prop_RoundTrip :: Document -> Bool
prop_RoundTrip doc =
--  collect (length sdoc) $
    case parseS sdoc of
        Left  _    -> False -- parse error
        Right doc' -> (show doc') == sdoc
    where sdoc = show doc

